From e775aa21158b6b997c71b94075ead1f0c2ed38e1 Mon Sep 17 00:00:00 2001
From: Bhagyashree <bhagyashree.iitg@gmail.com>
Date: Mar 12 2016 19:33:37 +0000
Subject: [PATCH 311/1001] Fixing Issue #96


---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
old mode 100644
new mode 100755
index 1dfd8ec..c3a8382
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -16,19 +16,31 @@ chrome = panel('Reminders', key='meetings')
 def next_meeting(meetings):
     now = datetime.datetime.utcnow()
     for meeting in meetings:
-        string = "%s %s" % (meeting['meeting_date'],
+        start_string = "%s %s" % (meeting['meeting_date'],
                             meeting['meeting_time_start'])
-        dt = datetime.datetime.strptime(string, "%Y-%m-%d %H:%M:%S")
+        start_dt = datetime.datetime.strptime(start_string, "%Y-%m-%d %H:%M:%S")
 
-        if now < dt:
-            meeting['human_time'] = arrow.get(dt).humanize()
-            meeting['start_date'] = dt.strftime('%b %d')
+        stop_string = "%s %s" % (meeting['meeting_date_end'],
+                            meeting['meeting_time_stop'])
+        stop_dt = datetime.datetime.strptime(stop_string, "%Y-%m-%d %H:%M:%S")
+
+        if now < start_dt:
+            meeting['human_time'] = arrow.get(start_dt).humanize()
+            meeting['start_date'] = start_dt.strftime('%b %d')
+            meeting['stop_date'] = stop_dt.strftime('%b %d')
+            meeting['display_time'] = True
+            meeting['display_duration'] = False            
             # Just UTC for now until we do this on the client and can access
             # their local with moment.js.
             meeting['start_time'] = meeting['meeting_time_start'][:-3] + " UTC"
+            meeting['stop_time'] = meeting['meeting_time_stop'][:-3] + " UTC"
             meeting['location'] = meeting['meeting_location']
             if '@' in meeting['location']:
                 meeting['location'] = '#' + meeting['location'].split('@')[0]
+            if stop_dt - start_dt >= datetime.timedelta(hours=24) :
+                meeting['display_time'] = False
+                if stop_dt - start_dt > datetime.timedelta(hours=24) :
+                    meeting['display_duration'] = True
             return meeting
 
     return None
@@ -41,9 +53,15 @@ template = jinja2_environment.from_string("""
         {% set next = items | next_meeting %}
         {% if next %}
         <p>The {{ next.meeting_name }} is {{ next.human_time }}</p>
+        {% if next.display_duration %}
+        <h1 class='inline'>{{next.start_date}} - {{next.stop_date}}</h1>
+        {% else %}
         <h1 class='inline'>{{next.start_date}}</h1>
+        {% endif %}
         <div class='inline'>
+            {% if next.display_time %}
             @{{next.start_time}}<br/>
+            {% endif %}
             {{next.location}}<br/>
             {{next.meeting_information_html}}
         </div>
